update-manager crashed with RuntimeError in /usr/lib/python2.7/dist-packages/gi/overrides/Gtk.py: Gtk couldn't be initialized

Bug #985969 reported by Somberlain
54
This bug affects 11 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Invalid
Medium
Unassigned

Bug Description

crashed when start

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: update-manager 1:0.152.25.8
ProcVersionSignature: Ubuntu 3.0.0-19.32-generic 3.0.27
Uname: Linux 3.0.0-19-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
Date: Wed Apr 18 22:55:04 2012
ExecutablePath: /usr/bin/update-manager
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/update-manager
ProcEnviron:
 PATH=(custom, no user)
 LANG=ru_RU.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/update-manager']
SourcePackage: update-manager
Title: update-manager crashed with RuntimeError in /usr/lib/python2.7/dist-packages/gi/overrides/Gtk.py: Gtk couldn't be initialized
UpgradeStatus: Upgraded to oneiric on 2012-03-15 (35 days ago)
UserGroups: adm admin audio cdrom dialout libvirtd lp lpadmin plugdev sambashare vboxusers

Revision history for this message
Somberlain (somberlain218) wrote :
visibility: private → public
tags: removed: need-duplicate-check
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-manager (Ubuntu):
status: New → Confirmed
Revision history for this message
Moritz Naumann (mnaumann) wrote :

I also ran into this bug. It happened to me as soon as I rebooted after an interrupted release upgrade from Oneiric to Precise (which made me switch to a terminal and finish the upgrade manually).

 (X crash due to Debian bug #624500 affecting the monkeysphere-validation-agent package, breaking the dist-upgrade when responding 'yes' to a monkeysphere-validation-agent prompt asking whether I wanted to restart this daemon since it had detected changes to some of its dependencies)

Changed in update-manager (Ubuntu):
importance: Undecided → Medium
Revision history for this message
Robert Roth (evfool) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug #828835, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

Revision history for this message
dino99 (9d9) wrote :

This version has expired

Changed in update-manager (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers